Package org.apache.lucene.analysis.ko

# Enum Class POS.Type

java.lang.Object
java.lang.Enum<POS.Type>
org.apache.lucene.analysis.ko.POS.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<POS.Type>`, `Constable`

Enclosing class:
  `POS`

public static enum POS.Type extends Enum<POS.Type>
The type of the token.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPOUND`
  Compound noun.
  `INFLECT`
  Inflected token.
  `MORPHEME`
  A simple morpheme.
  `PREANALYSIS`
  Pre-analysis token.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static POS.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static POS.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MORPHEME

    public static final POS.Type MORPHEME
    A simple morpheme.

  - ### COMPOUND

    public static final POS.Type COMPOUND
    Compound noun.

  - ### INFLECT

    public static final POS.Type INFLECT
    Inflected token.

  - ### PREANALYSIS

    public static final POS.Type PREANALYSIS
    Pre-analysis token.

- ## Method Details

  - ### values

    public static POS.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static POS.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null